# Extract from EXE

Use this extractor for `.exe` files. It can extract icons into a ZIP result.

## Quick reference

| Field | Value |
| --- | --- |
| Source file type | `.exe` |
| Source group | Executables |
| Submit endpoint | `POST https://api.tools.fast/extract` |
| Estimate endpoint | `POST https://api.tools.fast/extract/estimate/exe` |
| Result | ZIP download |
| Default capabilities | `executable.icons` |
| Max file size | free: 50 MB; pro: 2048 MB |
| Document limits | Not applicable |
| Duration limits | Not applicable |

## Capabilities

| Capability | Default | Options | Pricing | Description |
| --- | --- | --- | --- | --- |
| `executable.icons` | Yes | None | Included | Embedded Windows icon resources saved as ICO and PNG files. |

## Options payload with all capabilities

Use this shape when you want to explicitly configure every supported output for this source type.

```json
{
  "extraction": {
    "selectedCapabilities": [
      "executable.icons"
    ],
    "includeManifest": true
  }
}
```

## Estimate example

```bash
curl -sS -X POST "https://api.tools.fast/extract/estimate/exe" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "fileSizeMb": 10,
  "options": {
    "extraction": {
      "selectedCapabilities": [
        "executable.icons"
      ],
      "includeManifest": true
    }
  }
}'
```

## Extract example with all options configured

```bash
curl -sS -X POST "https://api.tools.fast/extract" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@input.exe" \
  -F 'options={
  "extraction": {
    "selectedCapabilities": [
      "executable.icons"
    ],
    "includeManifest": true
  }
}'
```

## Machine-readable discovery

```http
GET /options/exe
GET /extractors/exe
```
